Subject: Re: [PATCH iwl-next v1] ice: Add support for devlink loopback param.

From: Jakub Kicinski <[email-masked]>
Date: Fri, 1 Dec 2023 18:37:04 -0800

On Fri,  1 Dec 2023 15:59:49 -0800 Pawel Kaminski wrote:
> Add support for devlink loopback param. Supported values are "enabled",
> "disabled" and "prioritized". Default configuration is set to "enabled.
> 
> By default loopback traffic BW is locked to PF configured BW.

First off - hairpin-bandwidth or some such would be a much better name.
Second - you must explain every devlink param in Documentation/

Also admission ctrl vs prioritizing sounds like different knobs.

> HW is
> capable of higher speeds on loopback traffic. Loopback param set to
> "prioritized" enables HW BW prioritization for VF to VF traffic,
> effectively increasing BW between VFs. Applicable to 8x10G and 4x25G
> cards.

Not very clear what this means...
So the VFs are Tx bandwidth limited to link speed.
How does the device know it can admit extra traffic?
Presumably this doesn't affect rates set by devlink rate?

> To achieve max loopback BW one could:
>  - Make, as much as possible, fair distribution of loopback usages
>    between groups to gain maximal loopback BW.

Can't parse what this means.

>  - Try to dedicate ports for loopback only traffic, with minimal network
>    traffic.

Or this.

> Changing loopback configuration will trigger CORER reset in order to take
> effect.

Changing config of a permanent param shouldn't trigger anything.
Please see the documentation for expected behavior..